<!--

    Copyright 2018 Scytl Secure Electronic Voting SA

    All rights reserved

    See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package

-->
<persistence version="1.0"
  xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://java.sun.com/xml/ns/persistence
  http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">

  <persistence-unit name="persistenceUnitJdbc">
    <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
    <jta-data-source>or</jta-data-source>
    <class>com.scytl.products.ov.channel.cc.orchestrator.choicecodes.domain.model.computedvalues.ComputedValues</class>
    <class>com.scytl.products.ov.channel.cc.orchestrator.mixdec.domain.model.MixDecNodeOutput</class>
    <class>com.scytl.products.ov.channel.cc.orchestrator.mixdec.domain.model.MixDecBallotBox</class>
    <class>com.scytl.products.ov.channel.cc.orchestrator.mixdec.domain.model.MixDecBallotBoxStatus</class>
    <class>com.scytl.products.ov.channel.cc.orchestrator.mixdec.domain.model.MixedBallotBoxInformation</class>
    <class>com.scytl.products.ov.channel.cc.orchestrator.domain.model.tenant.OrTenantKeystoreEntity</class>
    <class>com.scytl.products.ov.channel.cc.orchestrator.domain.platform.OrchestratorLoggingKeystoreEntity</class>
    <class>com.scytl.products.ov.channel.cc.orchestrator.domain.platform.OrchestratorPlatformCaEntity</class>
    <exclude-unlisted-classes>false</exclude-unlisted-classes>
    <properties>
      <property name="hibernate.dialect" value="org.hibernate.dialect.Oracle10gDialect"/>
      <property name="javax.persistence.lock.timeout" value="2000"/>
      <property name="javax.persistence.query.timeout" value="2000"/>
    </properties>
  </persistence-unit>
</persistence>
